import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class Create extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        http: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        clientCertificate: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        verificationMode: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        crl: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        tlsv1: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        'dynamic-ips': import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
    lbCreate: (name: string, vpcName: string, certificate: string, privateKey: string, http: string | unknown, clientCertificate: string | unknown, verificationMode: string | unknown, crl: string | unknown, tlsv1: string | unknown, dynamicIps: string | unknown) => Promise<void>;
}
