import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class Copy extends AuthenticationBaseCommand {
    static description: string;
    static args: {
        name: string;
        required: boolean;
    }[];
    static flags: {
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        property: import("@oclif/core/lib/interfaces").OptionFlag<string[] | undefined>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    run(): Promise<void>;
    cloudhubApplicationCopy(source: string, target: string, properties: string[] | undefined): Promise<void>;
    checkNoTargetApp(targetSess: any): Promise<void>;
    updateProperties(argProp: any, appProp: any): void;
    parseProperties(propStrings: any, appProps: any): any;
    splitPropertyArg(p: any): any[];
    allocateTargetStaticIPs(self: any, targetSess: any, sourceApp: any): Promise<void | any[]>;
    updateApplicationStateExt(session: any, name: string, state: string): Promise<void>;
}
