"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const utils_1 = require("../../../../helpers/utils");
class Remove extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        await (0, utils_1.modifyVpcAssociations)(this, 'remove', 'associatedEnvironments');
    }
}
exports.default = Remove;
Remove.description = 'Modifies the VPC association to Runtime Manager environments.';
Remove.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Remove.args = [
    {
        name: 'vpc',
        required: true,
    },
    {
        name: 'environments...',
        required: true,
    },
];
Remove.strict = false;
